BizKitHub
DocsAPI ReferenceProduct/bff/product/connect-contact
postProductAdmin BFF

/bff/product/connect-contact

Links a customer/contact to a product. Used for tracking product-customer relationships.

ProductpostBffProductConnect-contact

Parameters

JSON body

Request body

application/json
productCodestringRequired

Product code to link the contact to.

Examplemy-product
contactIdstringRequired

Contact CU reference number.

ExampleCU-00123

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the contact was linked successfully.

Response example

application/json
{
  "success": false
}

Request example

POST /bff/product/connect-contact

post
curl -X POST "https://api.bizkithub.com/bff/product/connect-contact" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "productCode": "my-product",
  "contactId": "CU-00123"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key